package com.brilliance.isc.swift.swifteditor.tag.message;

public interface MessageArea {
	final int CYC = 1;
	final int TAG = 0;
	final int SEQ = 2;
	final int CYCLIST=3;
	final int SEQLIST=4;
	final int MESSAGE = 5;
	void toSwfMessage(StringBuilder sb);
	MessageArea clone();
	String getName();
	void setName(String name);
	void addSubArea(MessageArea sub);
	int getType();
	boolean isEnd();
//	void toJSON(StringBuilder sb);
//	void fromJSON(String json);
}
